Page MenuHomePhabricator

[AMC] Updates to "User rights" menu item
Closed, ResolvedPublic3 Estimated Story Points

Description

Description

In the more menu on user pages there is a menu item called "User rights". There are two issues to address:

  1. on desktop it is called "User groups"
  2. it has a black silhouetted person as an icon

Designs

currentupdated

Acceptance criteria

  • Rename item "User groups"
  • add new icon to wikimedia ui
  • change icon in Minerva

QA Results

ACStatusDetails
1T230694#5522478

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2019, 3:22 PM
alexhollender renamed this task from Updates to "User rights" menu item to [AMC] Updates to "User rights" menu item.Aug 18 2019, 3:26 PM
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
ovasileva triaged this task as Medium priority.Aug 20 2019, 6:54 PM
ovasileva moved this task from Needs Prioritization to Upcoming on the Readers-Web-Backlog board.
Jdlrobson added subscribers: ovasileva, Jdlrobson.

@alexhollender User rights has a logo: https://en.m.wikipedia.beta.wmflabs.org/wiki/User:Kaldari - it just didn't hit production for some reason.
Albeit a different one... can you clarify whether we are replacing this icon or keeping it?

Jdlrobson updated the task description. (Show Details)Aug 26 2019, 3:30 PM

@Jdlrobson let's use the icon in the task description. It will work better with "User groups".

alexhollender removed alexhollender as the assignee of this task.Sep 4 2019, 5:32 PM

@Volker_E the user groups icon is not in the Wikimedia UI icon library so we'll likely need to add this SVG directly to Minerva rather than referencing Wikimedia UI.

Change 534596 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] WIP: Rename UserRights to UserGroups

https://gerrit.wikimedia.org/r/534596

pmiazga added a comment.EditedSep 5 2019, 10:16 AM

text change is done in https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/534596/ but the icon change is blocked on T230694#5466578. All overflow menu icons come from WikimediaUI. If we want to change the SVG to userGroups, first we have to add it to WikimediaUI.

pmiazga removed pmiazga as the assignee of this task.Sep 5 2019, 1:47 PM
pmiazga added a subscriber: pmiazga.
Jdlrobson updated the task description. (Show Details)Sep 10 2019, 4:39 PM
Jdlrobson updated the task description. (Show Details)
ovasileva set the point value for this task to 3.Sep 10 2019, 4:43 PM

Change 535676 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Add 'userGroup'

https://gerrit.wikimedia.org/r/535676

Change 535676 merged by jenkins-bot:
[oojs/ui@master] icons: Add 'userGroup'

https://gerrit.wikimedia.org/r/535676

Change 535763 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.34.1

https://gerrit.wikimedia.org/r/535763

Change 535763 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.34.1

https://gerrit.wikimedia.org/r/535763

pmiazga removed pmiazga as the assignee of this task.Sep 12 2019, 2:00 PM

Ready to review.

Change 534596 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Rename UserRights to UserGroups

https://gerrit.wikimedia.org/r/534596

@pmiazga the icon and label are fixed. I noticed that the languages label is now dark gray instead of light gray, is this related to the change here?

Spoke with @pmiazga, the issue with the Languages label is related to icon work.

@alexhollender which environment do you want this QAd?

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX, Galaxy S5, iPad Pro, Google Pixel 2, Galaxy Note 3

Test Artifact(s):
✅ AC1 - Updated User Rights to User Groups with corresponding User Groups icon.

Edtadros reassigned this task from Edtadros to ovasileva.Sep 25 2019, 1:30 PM
Edtadros updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.
ovasileva closed this task as Resolved.Sep 26 2019, 4:35 PM